# Solar Flair

[![Gem Version](https://badge.fury.io/rb/solar-flair.svg)](https://badge.fury.io/rb/solar-flair)

Solar Flair is an open source project and the Jekyll theme that [Solar Innovations](https://solarinnovations.com) uses accross their [Planning.Solar websites](https://planning.solar).

The theme is designed to have 4 primary branding colors that can be toggled on/off through the config file.

The [demo site](http://flair.planning.solar/) shows the different theme styles.


## Installation

Add this line to your Jekyll site's `Gemfile`:

```ruby
gem "solar-flair"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: solar-flair
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install solar-flair

## Dependentcies

## Config File

Copy the `_config.yml` file from this repository into your project and modify the settings to your website.

### CDN

You can set `asset_cdn: 1` for unminified assets served via a CDN or `asset_cdn: 2` for minified assets served via CDN in your `_config` file.

Add the following repositories as submodules under `/assets/<dependentcy submodule>`. Be sure to set `asset_cdn: 0` so your local assets are loaded instead of through a CDN.

### Local

**jQuery:**
`https://github.com/jquery/jquery`

**jQuery Easing:**
`https://github.com/gdsmith/jquery.easing`

**Bootstrap:**
`https://github.com/twbs/bootstrap`

**FontAwesome:**
`https://github.com/FortAwesome/Font-Awesome`

**ScrollReveal:**
`https://github.com/jlmakes/scrollreveal`

## Usage

After installing the theme, bring down the homepage layout `/_layouts/home.html` to override and update with your content.

### Build

**Footer:** The `_footer-nav` collection needs to be added before building. Checkout [our submodule](https://github.com/SolarInnovations/_footer-nav) for an example `https://github.com/SolarInnovations/_footer-nav`.

The production tag must be present when building the theme. Pages are built with minified assets. Without the `production` tag, the non-minified versions will be used.

    $ JEKYLL_ENV=production jekyll build 


## Development

To set up your environment to develop this theme, run `bundle install`.

Your theme is setup just like a normal Jekyll site! To test your theme, run `bundle exec jekyll serve` and open your browser at `http://localhost:4000`. This starts a Jekyll server using your theme. Add pages, documents, data, etc. like normal to test your theme's contents. As you make modifications to your theme and to your content, your site will regenerate and you should see the changes in the browser after a refresh, just like normal.

When your theme is released, only the files in `_layouts`, `_includes`, `_sass` and `assets` tracked with Git will be bundled.
To add a custom directory to your theme-gem, please edit the regexp in `solar-flair.gemspec` accordingly.

## Contributing

[Bug reports](https://github.com/ndkline/solar-flair/issues) and [pull requests](https://github.com/ndkline/solar-flair/pulls) are welcome on GitHub at https://github.com/ndkline/solar-flair. 

This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The theme is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

